<?php

require_once __DIR__."/../vendor/autoload.php";

define("TRACE", true);

trace("Tracing...");
usleep(100000);

function doTrace() {
    trace("In doTrace now");
}
doTrace();
usleep(100000);

$trace = function() {
    trace("Yeah! Anonymous!");
};
$trace();

trace([ "array"=>"value" ]);

trace((object)[ "key"=>"blargh" ]);

class TraceTest {
    public function doTrace() {
        trace("In a class");
    }
}
$tt = new TraceTest();
$tt->doTrace();

